@mixin newsMoreRelated($theme) {
    > div {
        display: flex;
        margin-top: 15px;
        .newsContainerText {
            color: color($theme, text-color1);
            font-size: 18px;
            margin-left: 20px;
        }
        .newsContainerSmall {
            margin-top: 5px;
            font-size: 14px;
            color: color($theme, text-color2);
        }
        .newsContainerImg {
            width: 200px;
            height: 100px;
        }
        .newsContainerNum {
            position: absolute;
            background: #ffa50099;
            color: color($theme, bg1);
            padding: 0px 5px;
            border-radius: 5px;
        }
    }
}

@mixin newsNoteControl($theme) {
    .newsNoteCommentInput {
        color: color($theme, text-color1);
        background-color: transparent;
        outline: none;
        resize: none;
        border: none;
        font-weight: 400;
        font-size: 15px;
        margin: 14px 0;
        // overflow: hidden;
    }
    .newsNoteCommentControl {
        display: flex;
        align-items: center;
        justify-content: flex-end;
    }
    .newsNoteBtn {
        width: 60px;
        height: 45px;
        color: #06c755;
        font-size: 15px;
        font-weight: bold;
        background-color: transparent;
        border-style: none;
        padding: 0;
        margin: 0;
        cursor: pointer;
        &:disabled {
            color: #c8c8c8;
        }
    }
    .newsNoteInputCount {
        color: color($theme, btn-color1);
        font-size: 14px;
    }
}

@mixin newsCommentList($theme) {
    & li {
        list-style: none;
    }
    .newsCommentItems {
        padding: 12px 16px;
        margin: 0 24px 8px 8px;
        background-color: color($theme, bg1);
        border: 1px solid #e8e8e8;
        border-radius: 3px;
        .newsCommentHead {
            padding: 0 0 5px;
            font-size: 15px;
            line-height: 1.2em;
            font-weight: bold;
        }
        .newsCommentItemContent {
            padding: 0 0 5px;
            font-size: 15px;
            line-height: 1.2em;
            word-break: break-all;
        }
        .newsCommentControl {
            display: flex;
            justify-content: space-between;
            padding: 13px 0 5px;
            .newsCommentBtn {
                color: color($theme, text-color1);
                border: 1px solid color($theme, border-color1);
                border-radius: 1px;
                font-size: 13px;
                line-height: 23px;
                padding: 1px 7px 0;
                cursor: pointer;
                background-color: transparent;
            }
            .newsCommentVote {
                // display: flex;
                .newsCommentBtnUp {
                    display: flex;
                    > div {
                        font-weight: bold;
                        position: relative;
                        top: 2px;
                        transform: rotate(135deg);
                    }
                }
                .newsCommentBtnDown {
                    display: flex;
                    > div {
                        font-weight: bold;
                        position: relative;
                        top: -2px;
                        transform: rotate(-45deg);
                    }
                }
            }
        }
    }
}

@mixin theme-component($theme) {
    margin-top: 0px;
    font-family: "Noto Sans TC", "Microsoft JhengHei", "微軟正黑體", "Arial";
    background-color: color($theme, body-bg);

    .container {
        background-color: color($theme, container-bg);
        max-width: 1024px;
        margin: auto;
    }

    .pointer {
        cursor: pointer;
    }

    .small {
        color: color($theme, text-color2);
        font-size: 12px;
    }

    .nav {
        position: sticky;
        z-index: 10;
        display: flex;
        justify-content: space-between;
        top: 0px;
        background: color($theme, bg1);
        ul {
            margin: 15px 0 0 0;
            flex-direction: row;
            display: flex;
            list-style: none;
            li {
                height: 35px;
                width: 60px;
                text-align: center;
            }
            a {
                text-decoration: none;
                color: rgba(0, 0, 0, 0.26);
                &:hover {
                    color: color($theme, text-color1);
                }
                &.active {
                    color: color($theme, text-color1);
                    > li {
                        font-weight: bold;
                        border-bottom: 3px solid;
                    }
                }
            }
        }
    }

    .navMenu {
        position: absolute;
        top: 50px;
        background: rgba(0, 0, 0, 0.8);
        width: 100%;
        height: 100vh;
        .navMenuContainer {
            background: white;
            width: 100%;
            border-radius: 0px 0px 7px 7px;
            border-top: 2px solid;
        }
        ul {
            display: inline-block;
            a {
                border: 1px solid #e8e8e8;
                text-decoration: none;
                border-radius: 20px;
                margin: 0 8px 12px 0;
                min-width: 72px;
                min-height: 40px;
                display: inline-block;
                li {
                    padding: 2px 0 0 0;
                    display: flex;
                    justify-content: center;
                    align-items: center;
                    width: unset;
                }
                &.active {
                    background: color($theme, bg3);
                    > li {
                        color: color($theme, text-color3);
                        font-weight: none;
                        border: none;
                    }
                }
            }
        }
    }

    .newsImg {
        background: color($theme, container-bg);
        position: relative;
    .newsImgHeader {
        background: color($theme, bg2);
        color: color($theme, text-color1);
        font-weight: bold;
        border-radius: 5px;
        display: flex;
        margin: -43px 32px 0px 32px;
        padding: 0px 20px;
        z-index: 1;
        position: relative;
        box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.04);
    }
    }

    .newsContainer {
        // margin: 20px 32px;
        @include newsMoreRelated($theme);
    }

    .NewsContainerMore {
        @include newsMoreRelated($theme);
    }

    .newsDeatilDiv {
        position: relative;
        padding: 30px;
        color: color($theme, text-color1);
        .newsContentTitle {
            font-size: 2em;
            font-weight: bold;
        }
        .newsContentHeader {
            margin-top: 30px;
            display: flex;
            .newsIcon {
                width: 50px;
                height: 50px;
                border-radius: 10em;
                border: 1px solid;
                background-color: color($theme, bg1);
                font-weight: bold;
                > span {
                    font-size: 35px;
                    margin-left: 7px;
                }
            }
            .newsInfo {
                margin-left: 10px;
            }
        }
        .newContentText {
            font-size: 18px;
            line-height: 30px;
        }
    }

    .commentModuleInputFocus {
        flex-direction: column;
    }

    .commentModuleInput {
        display: flex;
        padding: 0 16px;
        // .newsNoteCommentInputFocus {
        //     height: 135px;
        // }
        // @include newsNoteControl($theme);
    }

    .newsCommentReplyInput {
        // @include newsNoteControl($theme);
        padding: 0 10px;
        border: 1px solid color($theme, border-color1);
        border-radius: 3px;
        // .newsNoteCommentInput {
        //     height: 70px;
        // }
    }

    .commentModuleTab {
        display: flex;
        padding: 0 16px;
        & button {
            position: relative;
            color: color($theme, btn-color1);
            font-size: 13px;
            background-color: transparent;
            border-style: none;
            padding: 0;
            margin-right: 14px;
            cursor: pointer;
            &.active {
                color: color($theme, text-color1);
                font-weight: bold;
            }
        }
        & button::after {
            content: "";
            position: absolute;
            top: 50%;
            right: -8px;
            margin-top: -5px;
            background-color: color($theme, border-color1);
            width: 1px;
            height: 10px;
        }
    }

    .newsCommentList {
        padding: 0 10px;
        @include newsCommentList($theme);
    }

    .newsCommentReplyList {
        padding: 0px;
        @include newsCommentList($theme);
        .newsCommentItems {
            margin: 0 24px 8px 0px;
        }
    }
}
